<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>

    <nav>
        <ul id="array"></ul>
    </nav>

    <script>
/*
Dado el array con: video.mp4, imagen1.png, clipart.gif, documento.doc, imagen2.png, imagen3.png, 
imagengrande.jpg, video2.mp4 . Mostrar en pantalla en una lista (ul) solo los nombres de archivos de imágenes 
(los terminados con .jpg, .gif y .png)
*/
        var imagenes=["video.mp4","imagen1.png","clipart.gif","documento.doc","imagen2.png","imagen3.png","imagengrande.jpg","video2.mp4"]
        function mostrar(n){
            var buscar=n
            var acumula = ""
            for(i in imagenes){
                var encontrado= imagenes[i].indexOf(buscar)
                console.log("Prueba"+encontrado)
                if (encontrado > -1){
                    acumula+= "<li>"+imagenes[i]+"</li>"
                    
                }
            }
                document.getElementById("array").innerHTML=acumula;  
        }

            mostrar(".mp4")//////Llamada de la funcion con paramtro de busqueda
    </script>
</body>
</html>